pw_array Struct Reference
Utilities » Array

## Data Fields

void * | data
| pointer to array data More...
size_t | size
| length of array in bytes More...
size_t | alloc
| number of allocated memory in data More...
size_t | extend
| number of bytes to extend with More...

## Field Documentation

## data

void* pw_array::data

pointer to array data

## size

size_t pw_array::size

length of array in bytes

## alloc

size_t pw_array::alloc

number of allocated memory in data

## extend

size_t pw_array::extend

number of bytes to extend with

The documentation for this struct was generated from the following file:

- pipewire/array.h